> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Search Investors

GET https://api.filesearch.dev/v2/datasets/odyssey/investors/search

Search for investor firms by name.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/investors/investors-search

## Request

### Query parameters

- `q` (string, optional, default: ) — Search query
- `investor_type` (string, optional, nullable) — Filter by type
- `stage_focus` (string, optional, nullable) — Filter by stage
- `location` (string, optional, nullable) — Filter by location
- `min_aum` (double, optional, nullable) — Min AUM
- `page` (integer, optional, default: 1) — Page number
- `page_size` (integer, optional, default: 20) — Results per page

## Response

### 200

Successful Response

- `page` (integer, optional, default: 1)
- `page_size` (integer, optional, default: 20)
- `query` (string, optional, nullable)
- `results` (list of InvestorSearchResult, optional)
- `total_results` (integer, optional, default: 0)

## Types

### InvestorSearchResult

Single search result

- `investor_id` (string, required)
- `name` (string, required)
- `enrichment_data` (InvestorSearchResultEnrichmentData, optional, nullable)
- `headquarters` (string, optional, nullable)
- `investor_type` (string, optional, nullable)
- `market_data` (InvestorSearchResultMarketData, optional, nullable)
- `notable_portfolio` (list of string, optional, nullable)
- `total_investments` (integer, optional, nullable)

### InvestorSearchResultEnrichmentData

### InvestorSearchResultMarketData

## Examples

**Response**

```json
{
  "page": 1,
  "page_size": 20,
  "query": "",
  "results": [],
  "total_results": 0
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/investors/search",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/investors/search`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```